Package com.pixelmed.dicom

## Class ContentItemFactory.ImageContentItem

- java.lang.Object
- - com.pixelmed.dicom.ContentItem
  - - com.pixelmed.dicom.ContentItemWithValue
    - - com.pixelmed.dicom.ContentItemFactory.CompositeContentItem
      - - com.pixelmed.dicom.ContentItemFactory.ImageContentItem

- All Implemented Interfaces:
    `javax.swing.tree.TreeNode`
  Enclosing class:
    ContentItemFactory

      public class ContentItemFactory.ImageContentItem
      extends ContentItemFactory.CompositeContentItem

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `presentationStateSOPClassUID` |
    `protected java.lang.String` | `presentationStateSOPInstanceUID` |
    `protected java.lang.String` | `realWorldValueMappingSOPClassUID` |
    `protected java.lang.String` | `realWorldValueMappingSOPInstanceUID` |
    `protected int` | `referencedFrameNumber` |
    `protected int` | `referencedSegmentNumber` |

    - ### Fields inherited from class com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

      `referencedSOPClassUID, referencedSOPInstanceUID, referencedSOPSequenceItemAttributeList`

    - ### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

      `conceptName, referencedContentItemIdentifier, valueType`

    - ### Fields inherited from class com.pixelmed.dicom.ContentItem

      `observationDateTime, observationUID, relationshipType`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ImageContentItem​(ContentItem parent, AttributeList list)` |

    `ImageContentItem​(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, java.lang.String referencedSOPClassUID, java.lang.String referencedSOPInstanceUID, int referencedFrameNumber, int referencedSegmentNumber, java.lang.String presentationStateSOPClassUID, java.lang.String presentationStateSOPInstanceUID, java.lang.String realWorldValueMappingSOPClassUID, java.lang.String realWorldValueMappingSOPInstanceUID)`

    `ImageContentItem​(ContentItem parent, java.lang.String relationshipType, CodedSequenceItem conceptName, java.lang.String referencedSOPClassUID, java.lang.String referencedSOPInstanceUID, int referencedFrameNumber, int referencedSegmentNumber, java.lang.String presentationStateSOPClassUID, java.lang.String presentationStateSOPInstanceUID, java.lang.String realWorldValueMappingSOPClassUID, java.lang.String realWorldValueMappingSOPInstanceUID, java.lang.String observationDateTime, java.lang.String observationUID)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPresentationStateSOPClassUID()` |
    `java.lang.String` | `getPresentationStateSOPInstanceUID()` |
    `java.lang.String` | `getRealWorldValueMappingSOPClassUID()` |
    `java.lang.String` | `getRealWorldValueMappingSOPInstanceUID()` |
    `int` | `getReferencedFrameNumber()` |
    `int` | `getReferencedSegmentNumber()` |
    `java.lang.String` | `toString()` | Get a human-readable string representation of the content item.

    - ### Methods inherited from class com.pixelmed.dicom.ContentItemFactory.CompositeContentItem

      `doCommonConstructorStuff, getConceptValue, getReferencedSOPClassUID, getReferencedSOPInstanceUID`

    - ### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

      `contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

    - ### Methods inherited from class com.pixelmed.dicom.ContentItem

      `addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getObservationDateTime, getObservationUID, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### referencedFrameNumber

          protected int referencedFrameNumber

    - #### referencedSegmentNumber

          protected int referencedSegmentNumber

    - #### presentationStateSOPClassUID

          protected java.lang.String presentationStateSOPClassUID

    - #### presentationStateSOPInstanceUID

          protected java.lang.String presentationStateSOPInstanceUID

    - #### realWorldValueMappingSOPClassUID

          protected java.lang.String realWorldValueMappingSOPClassUID

    - #### realWorldValueMappingSOPInstanceUID

          protected java.lang.String realWorldValueMappingSOPInstanceUID

  - ### Constructor Detail

    - #### ImageContentItem

          public ImageContentItem​(ContentItem parent,
                                  AttributeList list)

      Parameters:
        `parent` - parent content item to add to
        `list` - the list of attributes for this content item

    - #### ImageContentItem

          public ImageContentItem​(ContentItem parent,
                                  java.lang.String relationshipType,
                                  CodedSequenceItem conceptName,
                                  java.lang.String referencedSOPClassUID,
                                  java.lang.String referencedSOPInstanceUID,
                                  int referencedFrameNumber,
                                  int referencedSegmentNumber,
                                  java.lang.String presentationStateSOPClassUID,
                                  java.lang.String presentationStateSOPInstanceUID,
                                  java.lang.String realWorldValueMappingSOPClassUID,
                                  java.lang.String realWorldValueMappingSOPInstanceUID,
                                  java.lang.String observationDateTime,
                                  java.lang.String observationUID)
                           throws DicomException

      Parameters:
        `parent` - parent content item to add to
        `relationshipType` - relationship type
        `conceptName` - coded concept name
        `referencedSOPClassUID` - the SOP Class UID
        `referencedSOPInstanceUID` - the SOP Instance UID
        `referencedFrameNumber` - if < 1, not added
        `referencedSegmentNumber` - if < 1, not added
        `presentationStateSOPClassUID` - the SOP Class UID of the presentation state (or null or empty if none)
        `presentationStateSOPInstanceUID` - the SOP Instance UID of the presentation state (or null or empty if none)
        `realWorldValueMappingSOPClassUID` - the SOP Class UID of the RWV Map (or null or empty if none)
        `realWorldValueMappingSOPInstanceUID` - the SOP Instance UID of the RWV Map (or null or empty if none)
        `observationDateTime` - Observation DateTime (or null or empty if none)
        `observationUID` - Observation UID (or null or empty if none)
      Throws:
        `DicomException` - if error in DICOM encoding

    - #### ImageContentItem

          public ImageContentItem​(ContentItem parent,
                                  java.lang.String relationshipType,
                                  CodedSequenceItem conceptName,
                                  java.lang.String referencedSOPClassUID,
                                  java.lang.String referencedSOPInstanceUID,
                                  int referencedFrameNumber,
                                  int referencedSegmentNumber,
                                  java.lang.String presentationStateSOPClassUID,
                                  java.lang.String presentationStateSOPInstanceUID,
                                  java.lang.String realWorldValueMappingSOPClassUID,
                                  java.lang.String realWorldValueMappingSOPInstanceUID)
                           throws DicomException

      Parameters:
        `parent` - parent content item to add to
        `relationshipType` - relationship type
        `conceptName` - coded concept name
        `referencedSOPClassUID` - the SOP Class UID
        `referencedSOPInstanceUID` - the SOP Instance UID
        `referencedFrameNumber` - if < 1, not added
        `referencedSegmentNumber` - if < 1, not added
        `presentationStateSOPClassUID` - the SOP Class UID of the presentation state (or null or empty if none)
        `presentationStateSOPInstanceUID` - the SOP Instance UID of the presentation state (or null or empty if none)
        `realWorldValueMappingSOPClassUID` - the SOP Class UID of the RWV Map (or null or empty if none)
        `realWorldValueMappingSOPInstanceUID` - the SOP Instance UID of the RWV Map (or null or empty if none)
      Throws:
        `DicomException` - if error in DICOM encoding

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Description copied from class: `ContentItemWithValue`

      Get a human-readable string representation of the content item.

      Overrides:
        `toString` in class `ContentItemFactory.CompositeContentItem`
      Returns:
        the string representation of the content item

    - #### getReferencedFrameNumber

          public int getReferencedFrameNumber()

      Returns:
        the frame number, or zero if none

    - #### getReferencedSegmentNumber

          public int getReferencedSegmentNumber()

      Returns:
        the segment number, or zero if none

    - #### getPresentationStateSOPClassUID

          public java.lang.String getPresentationStateSOPClassUID()

      Returns:
        the SOP Class UID of the presention state, if any

    - #### getPresentationStateSOPInstanceUID

          public java.lang.String getPresentationStateSOPInstanceUID()

      Returns:
        the SOP Instance UID of the presention state, if any

    - #### getRealWorldValueMappingSOPClassUID

          public java.lang.String getRealWorldValueMappingSOPClassUID()

      Returns:
        the SOP Class UID of the RWV Map, if any

    - #### getRealWorldValueMappingSOPInstanceUID

          public java.lang.String getRealWorldValueMappingSOPInstanceUID()

      Returns:
        the SOP Instance UID of the RWV Map, if any